• 欢迎访问爱玩吧
  • 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏爱玩吧

阿里云ECS使用wordpress出现502的问题

建站资源 aiwanyule 5年前 (2016-05-09) 410次浏览 已收录 0个评论

阿里云ECS使用wordpress出现502的问题

昨天一个用户在阿里云的centos 6.x 64bit系统上用我的脚本的安装LNAMP,安装wordpress,出的这个错误,刚刚在本地VMware centos 6.x 64bit用lnmp.org的脚本安装的LNMP测试了下安装wordpress,出现的同样的问题。

Segmentation fault无法从环境的配置或者PHP程序下手去解决,它的根源在二进制程序上,也就是PHP解释器或者它的模块。  

有些PHP程序比较容易出现Segmentation fault,但是这不能把责任定在PHP程序上,说PHP程序有问题。  

不管是LNMP还是LNAMP,如果出现Segmentation fault,处理PHP的进程(apache或者php-fpm)会直接挂掉,然后Nginx直接返回一个502错误,会在apache或者php-fpm的日志中记录下Segmentation fault错误,如果在日志中确定了是这个错误,最简单的解决办法就是更换一下系统,CentOS比较容易出现这个错误,可以尝试下debian或者ubuntu。

PHP程序出现Segmentation fault需要几个条件组成在一起,比如这次502的问题想重现的话,centos 6.x 64bit系统+最新的WP安装程序+PHP5.2,其他的组合有可能出现,也用可能不出现。

另外的一些经验:

1)我遇到的PHP的Segmentation fault错误都是出现在CentOS系统。

2)安装DA面板后,即便再把面板和环境都清除掉,再安装新的LNAMP环境,也能一定程序上降低Segmentation fault错误的出现,猜测应该是DA安装过程中安装的一些东西起的作用。所以我估计在centos 6.x 64bit系统+DA+PHP5.2这个环境中,安装WP,有可能不会出现这个问题。

原文地址:http://bbs.aliyun.com/read/162505.html


爱玩吧 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:阿里云ECS使用wordpress出现502的问题
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址